This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 23199 - rpm does not install when LANG=tr_TR
rpm does not install when LANG=tr_TR
Status: CLOSED DUPLICATE of bug 58049
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
: 22492 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-02 19:40 EST by Gorkem Cetin
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-04 16:52:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gorkem Cetin 2001-01-02 19:40:45 EST
After giving the commaind "export LANG=tr_TR" to see 
the messages in Turkish, rpm does not install and gives an error
message like below:

dbiTagsInit: unrecognized tag name: "Requirename" ignored
dbiTagsInit: unrecognized tag name: "Providename" ignored
dbiTagsInit: unrecognized tag name: "Conflictname" ignored
dbiTagsInit: unrecognized tag name: "Triggername" ignored
hata: bap}ml}l}k hatas}, a~ap}daki paketlere ihtiyac}n}z var:
        ld-linux.so.2, BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libcrypt.so.1, BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libc.so.6, BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libm.so.6, BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libncurses.so.5, BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libresolv.so.2, BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libcrypt.so.1(GLIBC_2.0), BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libc.so.6(GLIBC_2.0), BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libc.so.6(GLIBC_2.1), BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libc.so.6(GLIBC_2.1.3), BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libc.so.6(GLIBC_2.2), BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libm.so.6(GLIBC_2.0), BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libresolv.so.2(GLIBC_2.0), BitchX-1.0c17-4 taraf}ndan kullan}l}yor
        libresolv.so.2(GLIBC_2.2), BitchX-1.0c17-4 taraf}ndan
kullan}l}yor      

No problem to install the same package when LANG=en

(This bug might be closely related to #22492, as its author again
most probably uses tr_TR as his LANG environment variable)

--
Gorkem
Comment 1 Jeff Johnson 2001-01-03 08:10:18 EST
Could you try the same operation with LANG=C or LC_ALL=C? If that fixes the
problem,
then there's some madness afoot with i18n in rpm. Thanks.
Comment 2 Jeff Johnson 2001-01-03 08:13:02 EST
Ah you already have tried that. Sorry, no coffee yet :-)
Comment 3 Jeff Johnson 2001-01-03 14:53:26 EST
*** Bug 22492 has been marked as a duplicate of this bug. ***
Comment 4 Jeff Johnson 2001-01-03 14:57:48 EST
Yes strcasecmp/strncasecmp are locale sensitive because of toupper. Fixed (by
internalizing both)
in rpm-4.0.2-0.16 and rpm-4.0.1-0.38.
Comment 5 Ben Levenson 2001-02-09 15:55:16 EST
build: qa0209.0
TUI/NFS install - Turkish

Garbage appeared in backround of "Package Installation" screen:
dbiTagsInit: unrecognized tag name "Requirename" ignored
dbiTagsInit: unrecognized tag name "Providename" ignored
dbiTagsInit: unrecognized tag name "Conflictname" ignored
dbiTagsInit: unrecognized tag name "Triggername" ignored

after install I ran 'rpm -q glibc-common' and received the same messages:
# rpm -q glibc-common
dbiTagsInit: unrecognized tag name "Requirename" ignored
dbiTagsInit: unrecognized tag name "Providename" ignored
dbiTagsInit: unrecognized tag name "Conflictname" ignored
dbiTagsInit: unrecognized tag name "Triggername" ignored
glibc-common-2.2.1-6
Comment 6 Gorkem Cetin 2001-04-04 16:52:42 EDT
Benl said:
> ------- Additional comments from benl@redhat.com 2001-02-09 15:55:16 -------
>
> build: qa0209.0
> TUI/NFS install - Turkish

Does this build include rpm 4.0.2? 
4.0.2 has still have this bug, also...
Comment 7 Jeff Johnson 2002-01-07 16:30:25 EST

*** This bug has been marked as a duplicate of 58049 ***

Note You need to log in before you can comment on or make changes to this bug.